Quassel IRC - Bug #273

Send unknown commands to server
08/12/2008 09:14 PM - xAFFE

Status: Resolved Start date:

Priority: Normal Due date:

Assignee: % Done: 100%
Category: Quassel Core Estimated time: 0.00 hour

Target version:

Version: 0.4.3 0S: Any

Description

If Quassel encounters an unknown command it should be directly to the server. There should be an option to turn this behaviour on
and off.

For example in Freenode there are the server side aliases /ns and /cs for /msg nickserv and /msg chanserv, which arent supported
atm.

Associated revisions

Revision 5139e540697cee375b2729106a6789b3dfe12840 - 11/02/2009 05:04 PM - Daniel Albers

send unknown commands to server

Fixes #273

Revision 5139e540 - 11/02/2009 05:04 PM - Daniel Albers

send unknown commands to server

Fixes #273

Revision 651bcf1231e36414974376341744407eade4950d - 01/31/2010 08:58 PM - Manuel Nickschas
Allow sending unknown commands to server with >1 params

Thanks to tililambert for the fix. Fixes #273 again.

Revision 651bcf12 - 01/31/2010 08:58 PM - Manuel Nickschas

Allow sending unknown commands to server with >1 params

Thanks to tililambert for the fix. Fixes #273 again.

History

#1 - 09/16/2008 10:56 AM - billie

| often used /ghost with the conspire irc-client on freenode to remove old nick aliases which are remaining after a disconnect and would normally be
removed when they time out. So | can change back from my nick alias to my main nick before it times out. Quassel does not recognize this command
too.

#2 - 09/16/2008 12:56 PM - al

fix attached

#3 - 12/28/2008 01:51 AM - Sputnick
- Priority changed from High to Normal

#4 - 11/02/2009 06:21 PM - dalbers

- Status changed from New to Resolved
- % Done changed from 0 to 100

- Version set to 0.4.3

- OS set to Any
Applied in changeset 5139e540697cee375b2729106a6789b3dfe12840.

#5 - 11/19/2009 03:29 PM - titilambert

- File 0002-pass-unknown-commands-to-the-server.patch added
- Status changed from Resolved to Feedback

- % Done changed from 100 to 90

Hi !

| tested it with minbif. And | was not able to pass more than one argument.
I made a 'little patch'’ for it. | just changed one line ;)

Thanks again for quassel !!

#6 - 01/31/2010 09:09 PM - Sputnick
- Status changed from Feedback to Resolved

- % Done changed from 90 to 100

Applied in changeset 651bcf1231e3641497437634{744407eade4950d.

Files

0001-pass-unknown-commands-to-the-server.patch 2.75 KB 09/16/2008 admin

0002-pass-unknown-commands-to-the-server.patch 665 Bytes 11/19/2009 titilambert
